at.chipkarte.client.dmp.soap

## Class EingabeParameter

- Object
- - at.chipkarte.client.dmp.soap.EingabeParameter

-     public class EingabeParameter
      extends Object

  Enthält die Parameter zu einer DMP-Eingabe.

  Optionale Felder dürfen den Wert `null` oder, im Fall von Strings, einen Leerstring zurückliefern. Pflichtfelder dürfen weder `null` noch einen Leerstring zurückliefern. Felder, die nicht explizit als optional gekennzeichnet sind, sind Pflichtfelder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EingabeParameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDmpCode()` Code des Disease Management Programms.
    `String` | `getEingabeArt()` Code der Eingabeart, mit dem die Eingabe gemacht wird.
    `String` | `getEingabeZusatz()` Frei vom Vertragspartner zu bearbeitendes Feld mit zusätzlichen Informationen zur DMP Eingabe.
    `String` | `getEmailAdresse()` E-Mail-Adresse des Patienten.
    `String` | `getFachgebietsCode()` Code des Fachgebietes für das der Vertragspartner eine Betreuungsberechtigung besitzt.
    `String` | `getLeistungserbringer()` Tatsächlich behandelnder Arzt (dezidierter Leistungserbringer).
    `String` | `getSvNummer()` Sozialversicherungsnummer der SV-Person, die die Leistung in Anspruch nimmt.
    `String` | `getSvtCode()` Code des Sozialversicherungsträgers der SV-Person, für die diese Eingabe gemacht wird.
    `String` | `getTelefonNummer()` Telefonnummer des Patienten.
    `Zustelladresse` | `getZustellAdresse()` Adresse des Patienten für die Zustellung der Eingabe.
    `void` | `setDmpCode(String dmpCode)`
    `void` | `setEingabeArt(String eingabeArt)`
    `void` | `setEingabeZusatz(String eingabeZusatz)`
    `void` | `setEmailAdresse(String emailAdresse)`
    `void` | `setFachgebietsCode(String fachgebietsCode)`
    `void` | `setLeistungserbringer(String leistungserbringer)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setSvtCode(String svtCode)`
    `void` | `setTelefonNummer(String telefonNummer)`
    `void` | `setZustellAdresse(Zustelladresse zustellAdresse)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EingabeParameter

          public EingabeParameter()

  - ### Method Detail

    - #### getDmpCode

          public String getDmpCode()

      Code des Disease Management Programms.
      Mögliche Werte siehe Funktion `getDMPs()`.
      Format: maximal 2-stellig.
      Returns:
        Code des Disease Management Programms

    - #### getEingabeArt

          public String getEingabeArt()

      Code der Eingabeart, mit dem die Eingabe gemacht wird.
      Mögliche Werte siehe Konstante `EingabeArt`.
      Format: maximal 1-stellig.
      Returns:
        Code der Eingabeart

    - #### getEingabeZusatz

          public String getEingabeZusatz()

      Frei vom Vertragspartner zu bearbeitendes Feld mit zusätzlichen Informationen zur DMP Eingabe.
      Die Angabe des EingabeZusatzes ist optional.
      Format: maximal 500-stellig.
      Returns:
        EingabeZusatz

    - #### getEmailAdresse

          public String getEmailAdresse()

      E-Mail-Adresse des Patienten.
      Die Angabe der E-Mail-Adresse ist optional.
      Format: maximal 256-stellig.
      Returns:
        E-Mail-Adresse

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Code des Fachgebietes für das der Vertragspartner eine Betreuungsberechtigung besitzt.
      Mögliche Werte siehe Funktion `getFachgebiete()`.
      Format: maximal 2-stellig.
      Returns:
        FachgebietsCode

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der SV-Person, die die Leistung in Anspruch nimmt.
      Es muss entweder eine `svNummer` oder in der aufrufenden Funktion ein mit e-card erstelltes `cardToken` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Die Sozialversicherungsnummer muss den Regeln für Sozialversicherungsnummern entsprechen (Prüfziffer).
      Format: 10-stellig, numerisch.
      Returns:
        Sozialversicherungsnummer

    - #### getSvtCode

          public String getSvtCode()

      Code des Sozialversicherungsträgers der SV-Person, für die diese Eingabe gemacht wird.
      Mögliche Werte siehe Funktion `getSVTs()`.
      Die Angabe des Sozialversicherungsträgers ist optional. Ist der Sozialversicherungsträger nicht angegeben ist, dann wird er automatisch vom e-card Serversystem ermittelt.
      Format: maximal 2-stellig.
      Returns:
        Code des Sozialversicherungsträgers

    - #### getTelefonNummer

          public String getTelefonNummer()

      Telefonnummer des Patienten.
      Die Angabe der Telefonnummer ist optional.
      Format: maximal 50-stellig.
      Returns:
        Telefonnummer

    - #### getLeistungserbringer

          public String getLeistungserbringer()

      Tatsächlich behandelnder Arzt (dezidierter Leistungserbringer).
      Die Angabe des Leistungserbringers ist optional.
      Format: maximal 200-stellig.
      Returns:
        Leistungserbringer

    - #### getZustellAdresse

          public Zustelladresse getZustellAdresse()

      Adresse des Patienten für die Zustellung der Eingabe.
      Die Angabe der Adresse ist optional.
      Returns:
        Zustelladresse

    - #### setDmpCode

          public void setDmpCode(String dmpCode)

    - #### setEingabeArt

          public void setEingabeArt(String eingabeArt)

    - #### setEingabeZusatz

          public void setEingabeZusatz(String eingabeZusatz)

    - #### setEmailAdresse

          public void setEmailAdresse(String emailAdresse)

    - #### setFachgebietsCode

          public void setFachgebietsCode(String fachgebietsCode)

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### setTelefonNummer

          public void setTelefonNummer(String telefonNummer)

    - #### setLeistungserbringer

          public void setLeistungserbringer(String leistungserbringer)

    - #### setZustellAdresse

          public void setZustellAdresse(Zustelladresse zustellAdresse)